> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extat.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Adiciona opção de cobrança a um plano (admin)



## OpenAPI

````yaml /openapi/extat-openapi.json post /billing/plans/{id}/prices
openapi: 3.0.0
info:
  contact:
    email: contato@cernedigital.io
    name: Cerne Digital
    url: https://cernedigital.io
  description: >-
    API REST da Extat Plataforma usada pelo painel web. Artefato OpenAPI 3.0
    para a documentação Mintlify (tags em PT-BR).
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Extat Plataforma - API REST
  version: '1.0'
servers:
  - url: https://golang-api-vgnqx.ondigitalocean.app/v1
security: []
tags:
  - name: Autenticação
  - name: Bancos
  - name: Contas Bancárias
  - name: Plano e Assinaturas
  - name: Empresa
  - name: Centros de Custo
  - name: Painel
  - name: Demonstrativos
  - name: Saúde
  - name: Convites
  - name: Membros
  - name: Onboarding
  - name: Fornecedores
  - name: Usuário
paths:
  /billing/plans/{id}/prices:
    post:
      tags:
        - Plano e Assinaturas
      summary: Adiciona opção de cobrança a um plano (admin)
      parameters:
        - description: plan uuid
          in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dto.CreatePriceRequestDTO'
        description: price payload
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.PlanPriceDTO'
          description: Created
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.CreatePriceRequestDTO:
      properties:
        amount_cents:
          type: integer
        currency:
          type: string
        period:
          enum:
            - monthly
            - quarterly
            - annual
          type: string
      required:
        - amount_cents
        - period
      type: object
    dto.PlanPriceDTO:
      properties:
        active:
          type: boolean
        amount_cents:
          type: integer
        currency:
          type: string
        id:
          type: string
        period:
          type: string
        saving:
          type: integer
        stripe_price_id:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo
        esquema ApiKeyAuth do contrato).
      in: header
      name: Authorization
      type: apiKey

````